Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
CentOS 8 install problem
#1
Hi,

I have a new CentOS 8 server.
in CentOS 8 yum is replaced with dnf.

I created the .repo file as usual, but dnf (and yum for that matter) both fail to install pandora agent due to a dependency failure ?


Code:
[[email protected] ~]# dnf search pandora
Last metadata expiration check: 0:00:53 ago on Wed 29 Apr 2020 09:33:30 BST.
============= Name & Summary Matched: pandora =============
pandorafms_server.noarch : Pandora FMS Server
pandorafms_console.noarch : Pandora FMS Console
pandorafms_agent_unix.noarch : Pandora FMS Linux agent, PERL version


Code:
[[email protected] ~]# dnf install pandorafms_agent_unix
Last metadata expiration check: 0:01:44 ago on Wed 29 Apr 2020 09:33:30 BST.
Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides perl(YAML::Tiny) needed by pandorafms_agent_unix-7.0NG.744-200303.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Same happens for yum


Code:
[[email protected] ~]# yum install pandorafms_agent_unix
Last metadata expiration check: 0:02:25 ago on Wed 29 Apr 2020 09:33:30 BST.
Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides perl(YAML::Tiny) needed by pandorafms_agent_unix-7.0NG.744-200303.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

And I cant seem to manually install the YAML library.


Code:
[[email protected] ~]# dnf install libyaml-tiny-perl
Last metadata expiration check: 0:05:26 ago on Wed 29 Apr 2020 09:33:30 BST.
No match for argument: libyaml-tiny-perl
Error: Unable to find a match: libyaml-tiny-perl


Any ideas ?

Thanks.

Jon.

I just spotted a a different problem too ... The problem above, is with CentOS7 configured in the .repo file. Sorry my mistake.

cat /etc/yum.repos.d/pandorafms.repo
[artica_pandorafms]
name=CentOS - PandoraFMS official repo
baseurl=http://firefly.artica.es/centos7
gpgcheck=0
enabled=1

However, if I change that to CentOS 8 :
baseurl=http://firefly.artica.es/centos8

all the packages seem to be missing.

http://firefly.artica.es/centos8 has no packages in it ?

Thanks.

Jon.
 Reply
#2
Hello,

I'm afraid Pandora FMS doesn't support Centos 8 at the moment, but we hope to have it by the end of the year.

Greetings
Diego
 Reply
#3
Does that mean that running the agent on CentOS8 won't send data to a Pandora FMS server on CentOS7, or will it?
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes